Bug 175225 - [RHEL4] 'Unmatched' vfolder has erroneous Properties dialog
Summary: [RHEL4] 'Unmatched' vfolder has erroneous Properties dialog
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-07 21:29 UTC by Suzanne Hillman
Modified: 2008-02-03 07:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 07:31:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Suzanne Hillman 2005-12-07 21:29:56 UTC
Description of problem:
Created a Vfolder, which created a corresponding 'Unmatched' vfolder at the same
time. When I deleted the one I created, the Unmatched one remained, and cannot
be deleted or edited in anyway. 

If I look at its properties, I get: 

"Cannot edit vFolder "vfolder:/home/testing/.evolution/mail/vfolder#UNMATCHED"
as it does not exist.

This folder may have been added implictly, go to the virtual folder editor to
add it explictly, if required."

If this is, as I suspect, intentional, it should either not allow you to edit
it's properties, or not give such a strange error. (yes, I realize that it was
added implicitly, but most users would have no idea what that means)

Version-Release number of selected component (if applicable):
evolution-2.0.2-25

How reproducible:
Seems to only create the Unmatched Vfolder the first time you create a Vfolder.

Comment 1 Suzanne Hillman 2005-12-07 21:38:05 UTC
If there are no vfolders left, it might be good to make Unmatched go away, so as
to reduce confusion.

Comment 2 Dave Malcolm 2005-12-08 05:46:20 UTC
The dubious Properties behaviour on that vfolder looks like a dup of bug 141548;
there's a patch for that available (which made it into FC3)

Comment 3 Suzanne Hillman 2005-12-08 14:44:35 UTC
Uh... the bug you pointed to in the previous comment doesn't actually look even
vaguely related. *confused*

Comment 4 Dave Malcolm 2005-12-08 16:31:35 UTC
Sorry, typo, should have been bug 141458

Comment 5 Suzanne Hillman 2005-12-08 21:37:16 UTC
Yeah, that looks like the same thing. 

Should I make a different bug for the fact that the Unmatched sticks around when
there are no other Vfolders left, then?

Comment 7 Dave Malcolm 2005-12-20 23:56:41 UTC
Re comment 5: yes, please open this as a separate bug

Comment 8 Suzanne Hillman 2005-12-21 15:06:23 UTC
Re: commment 5, see bug 176330

Comment 9 Dave Malcolm 2005-12-22 18:22:19 UTC
Renaming to better characterize remaining part of bug (since original title
referred to the problem that's now bug 176330)

Comment 11 Matthew Barnes 2008-02-03 07:31:41 UTC
Evolution 2.0.2 is only being updated for security issues.  Closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.